Runtime

## org.eclipse.gmf.runtime.notation
Interface LineStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Style

All Known Subinterfaces:
  Connector, ConnectorStyle, Shape, ShapeStyle

All Known Implementing Classes:
  ConnectorImpl, ConnectorStyleImpl, LineStyleImpl, ShapeImpl, ShapeStyleImpl

    public interface LineStyle

extends Style

A representation of the model object 'Line Style'.

The line style is a style to be installed on views with lines

The following features are supported:

- `Line Color`
- `Line Width`

See Also:
  `NotationPackage.getLineStyle()`
** Generated **
Model:

Method Summary
`int` `getLineColor()` Returns the value of the 'Line Color' attribute.
`int` `getLineWidth()` Returns the value of the 'Line Width' attribute.
`void` `setLineColor(int value)` Sets the value of the '`Line Color`' attribute
`void` `setLineWidth(int value)` Sets the value of the '`Line Width`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLineColor

    int getLineColor()

  Returns the value of the 'Line Color' attribute. The default value is `"11579568"`.

  The line color is the color used in painting the lines (or foreground) of node visuals

  Returns:
    the value of the 'Line Color' attribute.
  See Also:
    `setLineColor(int)`, `NotationPackage.getLineStyle_LineColor()`
  ** Generated **
  Model:
    default="11579568"

### setLineColor

    void setLineColor(int value)

  Sets the value of the '`Line Color`' attribute.

  The line color is the color used in painting the lines (or foreground) of node visuals

  Parameters:
    `value` - the new value of the 'Line Color' attribute.
  See Also:
    `getLineColor()`
  ** Generated **

### getLineWidth

    int getLineWidth()

  Returns the value of the 'Line Width' attribute. The default value is `"-1"`.

  If the meaning of the 'Line Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Line Width' attribute.
  See Also:
    `setLineWidth(int)`, `NotationPackage.getLineStyle_LineWidth()`
  ** Generated **
  Model:
    default="-1"

### setLineWidth

    void setLineWidth(int value)

  Sets the value of the '`Line Width`' attribute.

  Parameters:
    `value` - the new value of the 'Line Width' attribute.
  See Also:
    `getLineWidth()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.